Skip to main content
GET
User List

Endpoint Overview

GET https://api.unibee.dev/merchant/user/list User List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Query parameters


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
integer<int64>

Filter UserId

externalUserId
string<string>

ExternalUserId

firstName
string<string>

Search FirstName

lastName
string<string>

Search LastName

email
string<string>

Search Filter Email

searchKey
string<string>

Search FirstName|LastName|Email|Phone|Address|ExternalUserId

planIds
integer<int>[]

PlanIds, Search Filter PlanIds

gatewayIds
integer<int64>[]

GatewayIds, Search Filter GatewayIds

subscriptionId
string<string>

Search Filter SubscriptionId

subStatus
integer<int>[]

Filter, Default All,1-Pending|2-Active|3-Suspend | 4-Cancel | 5-Expire | 6- Suspend| 7-Incomplete | 8-Processing | 9-Failed

status
integer<int>[]

Status, 0-Active|2-Frozen

deleteInclude
boolean<bool>

Deleted Involved,Need Admin

sortField
string<string>

Sort,user_id|gmt_create|email|user_name|subscription_name|subscription_status|payment_method|recurring_amount|billing_type,Default gmt_create

sortType
string<string>

Sort Type,asc|desc,Default desc

page
integer<int>

Page,Start 0

count
integer<int>

Count OF Page

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>